Bug 986004 - Update perl-CPAN-Meta-YAML to 0.008
Update perl-CPAN-Meta-YAML to 0.008
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: perl-CPAN-Meta-YAML (Show other bugs)
el6
All All
unspecified Severity low
: ---
: ---
Assigned To: Paul Howarth
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-18 14:01 EDT by CJ Kucera
Modified: 2013-08-05 19:29 EDT (History)
2 users (show)

See Also:
Fixed In Version: perl-CPAN-Meta-YAML-0.008-13.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-05 19:29:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description CJ Kucera 2013-07-18 14:01:39 EDT
perl-CPAN-Meta-YAML's version in EPEL is currently 0.003, whereas the latest is 0.008.  It looks like simply changing the version number in the .spec file is enough - there were no errors and it seems to work fine that way.  I could attach a .patch for that small change if you like, of course.
Comment 1 Paul Howarth 2013-07-18 15:24:13 EDT
I'm curious as to why you need this update, since the differences between 0.003 and 0.008 seem to be in just documentation and compatibility with older versions of Scalar::Util?
Comment 2 CJ Kucera 2013-07-18 15:30:46 EDT
Oh!  Hm, I suppose I should have done more homework on it.  I had been installing a Perl app which claimed to need 0.008 to build/install.  Probably their version checking is just being overzealous.  I can always just patch their Build.PL (or just continue using my local repo for this 0.008 update).  Apologies for the spurious bugreport if it's not worth pushing!
Comment 3 Paul Howarth 2013-07-18 15:39:49 EDT
I think some authors are just specifying the versions they've tested with to be on the safe side.

Given that there's little difference between the versions, I guess that also means there's little reason why I shouldn't push an update either, since at least there's some demand for it.
Comment 4 Fedora Update System 2013-07-21 07:57:06 EDT
perl-CPAN-Meta-YAML-0.008-13.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-CPAN-Meta-YAML-0.008-13.el6
Comment 5 Fedora Update System 2013-07-21 14:38:58 EDT
Package perl-CPAN-Meta-YAML-0.008-13.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing perl-CPAN-Meta-YAML-0.008-13.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-10903/perl-CPAN-Meta-YAML-0.008-13.el6
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-08-05 19:29:05 EDT
perl-CPAN-Meta-YAML-0.008-13.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.